## golang-github-miekg-mmark 1.2+git20150919.694.bc8de59+dfsg

=== Makefile ===
MMARK2:=./mmark/mmark -xml2 -page
MMARK3:=./mmark/mmark -xml -page

all:
	( cd mmark; go build )

mmark2rfc2.txt: mmark2rfc2.xml
	xml2rfc --text mmark2rfc2.xml
	@ls -l mmark2rfc2.txt

mmark2rfc2.xml: mmark2rfc.md mmark/mmark
	$(MMARK2) mmark2rfc.md > mmark2rfc2.xml

#mmark2rfc3.txt: mmark2rfc3.xml
#	xml2rfc --text mmark2rfc3.xml
#	@ls -l mmark2rfc3.txt

mmark2rfc3.xml: mmark2rfc.md mmark/mmark
	$(MMARK3) mmark2rfc.md > mmark2rfc3.xml

.PHONY: clean
clean:
	rm -f mmark2rfc2.xml mmark2rfc3.xml mmark2rfc2.txt

.PHONY: validate
validate: mmark2rfc3.xml
	xmllint --xinclude mmark2rfc3.xml | jing -c xml2rfcv3.rnc /dev/stdin

=== debian/changelog ===
golang-github-miekg-mmark (1.2+git20150919.694.bc8de59+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #799747)
  * Remove RFC published after 1989 to make the source DFSG-clean
  * Create man page for mmark(1)

 -- Anthony Fok <foka@debian.org>  Tue, 22 Sep 2015 08:06:31 -0600

=== debian/control ===
Source: golang-github-miekg-mmark
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go [amd64 armel armhf i386],
               gccgo [!amd64 !armel !armhf !i386],
               golang-github-burntsushi-toml-dev | golang-toml-dev
Standards-Version: 3.9.6
Homepage: https://github.com/miekg/mmark
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-miekg-mmark.git
XS-Go-Import-Path: github.com/miekg/mmark

Package: golang-github-miekg-mmark-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-burntsushi-toml-dev | golang-toml-dev
Description: Markdown processor in Go geared for the IETF (Go library)
 Write RFCs using markdown.  Mmark (written in Go) provides an advanced
 markdown dialect that processes a single file to produce internet-drafts
 in XML format.  Internet-drafts written in mmark can produce XML2RFC
 v2 and XML2RFC v3 output.
 .
 Mmark is a fork of blackfriday which is a Markdown processor implemented
 in Go.  It supports a number of extensions, inspired by Leanpub, kramdown
 and Asciidoc, that allows for large documents to be written.  It is
 specifically designed to write Internet Drafts (I-Ds) and RFCs for the IETF.
 With mmark you can create a single file that serves as input into the
 XML2RFC processor.
 .
 It can currently output HTML5, XML2RFC v2 and XML2RFC v3 XML.
 Other output engines could be added.
 .
 This package provides the mmark Go library for development.

Package: mmark
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: jing, libxml2-utils, xml2rfc
Description: Markdown processor in Go geared for the IETF (executable)
 Write RFCs using markdown.  Mmark (written in Go) provides an advanced
 markdown dialect that processes a single file to produce internet-drafts
 in XML format.  Internet-drafts written in mmark can produce XML2RFC
 v2 and XML2RFC v3 output.
 .
 Mmark is a fork of blackfriday which is a Markdown processor implemented
 in Go.  It supports a number of extensions, inspired by Leanpub, kramdown
 and Asciidoc, that allows for large documents to be written.  It is
 specifically designed to write Internet Drafts (I-Ds) and RFCs for the IETF.
 With mmark you can create a single file that serves as input into the
 XML2RFC processor.
 .
 It can currently output HTML5, XML2RFC v2 and XML2RFC v3 XML.
 Other output engines could be added.
 .
 This package provides the /usr/bin/mmark executable binary and documentation.
Section: text
Priority: optional

## golang-github-miekg-mmark 1.3+git849458a+dfsg

=== Makefile ===
MMARK:=./mmark/mmark -xml2 -page
MMARK3:=./mmark/mmark -xml -page

objects := README.md.txt mmark2rfc.md.txt

%.md.txt: %.md
	$(MMARK) $< > $<.xml
	xml2rfc --text $<.xml && rm $<.xml

all: mmark/mmark $(objects)

mmark/mmark:
	( cd mmark; make )

mmark2rfc.md.3.xml: mmark2rfc.md mmark/mmark
	$(MMARK3) $< > $<.3.xml

.PHONY: clean
clean:
	rm -f *.md.txt *md.[23].xml

.PHONY: validate
validate: mmark2rfc.md.3.xml
	xmllint --xinclude $< | jing -c xml2rfcv3.rnc /dev/stdin

=== debian/changelog ===
golang-github-miekg-mmark (1.3+git849458a+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Extend Build-Depends on golang-go to ppc64 and ppc64el
  * Allow package to be installed with gccgo where golang-go is unavailable
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2016 04:35:56 -0700

golang-github-miekg-mmark (1.3+513bd0a+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch
  * Add list of Files-Excluded to debian/copyright
  * Remove convert/ from debian/mmark.docs
  * Add get-orig-source target in debian/rules to facilitate the creation
    of DFSG-clean source tarball
  * Fix FTBFS bug: Prefer the old golang-toml-dev in debian/control until
    the replacement golang-github-burntsushi-toml-dev package is uploaded.
    (Closes: #802793)

 -- Anthony Fok <foka@debian.org>  Tue, 03 Nov 2015 20:47:07 -0700

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go [amd64 armel armhf i386],
-               gccgo [!amd64 !armel !armhf !i386],
-               golang-github-burntsushi-toml-dev | golang-toml-dev
+               golang-go [amd64 armel armhf i386 ppc64 ppc64el],
+               gccgo [!amd64 !armel !armhf !i386 !ppc64 !ppc64el],
+               golang-toml-dev | golang-github-burntsushi-toml-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/miekg/mmark
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
+         golang-go | gccgo,
          golang-github-burntsushi-toml-dev | golang-toml-dev
 Description: Markdown processor in Go geared for the IETF (Go library)
  Write RFCs using markdown.  Mmark (written in Go) provides an advanced

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

.PHONY: get-orig-source
get-orig-source:
	XZ_OPT=-e uscan --noconf --verbose --destdir=$(CURDIR) \
	                --repack --compression xz

.DEFAULT_GOAL :=

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-miekg-mmark-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d*$//" \
  https://github.com/miekg/mmark/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-miekg-mmark 1.3.1+dfsg

=== debian/changelog ===
golang-github-miekg-mmark (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URL for Vcs-Git field too
    - Remove "golang-go | gccgo" from Depends field
  * Refresh debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 30 Apr 2016 03:24:30 +0800

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,16 @@
                golang-go [amd64 armel armhf i386 ppc64 ppc64el],
                gccgo [!amd64 !armel !armhf !i386 !ppc64 !ppc64el],
                golang-toml-dev | golang-github-burntsushi-toml-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/miekg/mmark
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-miekg-mmark.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
 XS-Go-Import-Path: github.com/miekg/mmark
 
 Package: golang-github-miekg-mmark-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go | gccgo,
          golang-github-burntsushi-toml-dev | golang-toml-dev
 Description: Markdown processor in Go geared for the IETF (Go library)
  Write RFCs using markdown.  Mmark (written in Go) provides an advanced
@@ -39,6 +38,8 @@
  This package provides the mmark Go library for development.
 
 Package: mmark
+Section: text
+Priority: optional
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
@@ -61,5 +62,3 @@
  Other output engines could be added.
  .
  This package provides the /usr/bin/mmark executable binary and documentation.
-Section: text
-Priority: optional

## golang-github-miekg-mmark 1.3.4+dfsg

=== debian/changelog ===
golang-github-miekg-mmark (1.3.4+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fixes from v1.3.4+git20160927.8.g701c11f
  * Lintian: Remove unused-override statically-linked-binary

 -- Anthony Fok <foka@debian.org>  Fri, 14 Oct 2016 23:03:14 -0600

golang-github-miekg-mmark (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Revise repacking options in debian/watch
    and remove my previous workaround in debian/rules
  * Use wildcards in Files-Excluded in debian/copyright
    to make it more future-proof in case more RFCs are added
  * Remove dependency on the since-renamed golang-toml-dev

 -- Anthony Fok <foka@debian.org>  Thu, 09 Jun 2016 05:44:31 -0600

golang-github-miekg-mmark (1.3.1+dfsg-1ubuntu1) yakkety; urgency=medium

  * Fix build dependencies.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 20 May 2016 13:01:25 +1200

## golang-github-miekg-mmark 1.3.4+git20161103.9.2d4f1dd+dfsg

=== debian/changelog ===
golang-github-miekg-mmark (1.3.4+git20161103.9.2d4f1dd+dfsg-1) unstable; urgency=medium

  * New upstream snapshot to matches the revision specified in
    the vendor/vendor.json file in the Hugo 0.18 series.

 -- Anthony Fok <foka@debian.org>  Sun, 01 Jan 2017 12:19:34 -0700

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go [amd64 armel armhf i386 ppc64 ppc64el],
-               gccgo [!amd64 !armel !armhf !i386 !ppc64 !ppc64el],
-               golang-toml-dev | golang-github-burntsushi-toml-dev
+               golang-any,
+               golang-github-burntsushi-toml-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/miekg/mmark
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-miekg-mmark.git
 XS-Go-Import-Path: github.com/miekg/mmark
 
 Package: golang-github-miekg-mmark-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-burntsushi-toml-dev | golang-toml-dev
+         golang-github-burntsushi-toml-dev
 Description: Markdown processor in Go geared for the IETF (Go library)
  Write RFCs using markdown.  Mmark (written in Go) provides an advanced
  markdown dialect that processes a single file to produce internet-drafts

## golang-github-miekg-mmark 1.3.5+dfsg

=== debian/changelog ===
golang-github-miekg-mmark (1.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Sun, 09 Jul 2017 05:34:10 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-any,
                golang-github-burntsushi-toml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/miekg/mmark
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-miekg-mmark.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-miekg-mmark.git

## golang-github-miekg-mmark 1.3.6%2Bdfsg

=== debian/changelog ===
golang-github-miekg-mmark (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add "Testsuite: autopkgtest-pkg-go" to debian/control.

 -- Anthony Fok <foka@debian.org>  Fri, 04 Aug 2017 00:34:48 -0600

## golang-github-miekg-mmark 1.3.6+dfsg

=== Makefile ===
all: mmark/mmark

mmark/mmark:
	( cd mmark; make)

.PHONY: clean
clean:
	( cd ./mmark; make clean )

=== mmark/Makefile ===
GITHASH:=$(shell git rev-parse --short HEAD)

all: mmark

mmark: ../*.go
	go build -ldflags "-X main.githash=$(GITHASH)" -a -tags netgo -installsuffix netgo

.PHONY: clean
clean:
	rm -f mmark

=== rfc/Makefile ===
MMARK:=../mmark/mmark -xml2 -page
MMARK3:=../mmark/mmark -xml -page

objects := $(patsubst %.md,%.md.txt,$(wildcard *.md))
objectsv3xml := $(patsubst %.md,%.md.3.xml,$(wildcard *.md))

all: $(objects)

%.md.txt: %.md
	$(MMARK) $< > $<.xml
	xml2rfc --text $<.xml && rm $<.xml

%.md.2.xml: %.md
	$(MMARK) $< > $<.2.xml

%.md.3.xml: %.md
	$(MMARK3) $< > $<.3.xml

.PHONY: clean
clean:
	rm -f *.md.txt *md.[23].xml

.PHONY: validate
validate: $(objectsv3xml)
	for i in $^; do echo xmllint --xinclude $$i | jing -c ../xml2rfcv3.rnc /dev/stdin; done

=== debian/changelog ===
golang-github-miekg-mmark (1.3.6+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:06:52 +0000

golang-github-miekg-mmark (1.3.6+dfsg-2) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Apply "cme fix dpkg" fixes to debian/control:
    - Priority: 'extra' → 'optional'
    - Build-Depends: 'debhelper (>= 9)' → 'debhelper-compat (= 12)'
  * Remove mmark 1.3.6 (program) binary package.
    A newer mmark 2.2.0 (or later) binary package will be provided from
    a future golang-github-mmarkdown-mmark source package.

 -- Anthony Fok <foka@debian.org>  Sun, 10 Nov 2019 21:54:15 -0700

=== debian/control ===
Source: golang-github-miekg-mmark
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-burntsushi-toml-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-miekg-mmark
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-miekg-mmark.git
Homepage: https://github.com/miekg/mmark
XS-Go-Import-Path: github.com/miekg/mmark

Package: golang-github-miekg-mmark-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-burntsushi-toml-dev
Description: Markdown processor in Go geared for the IETF (Go library)
 Write RFCs using markdown.  Mmark (written in Go) provides an advanced
 markdown dialect that processes a single file to produce internet-drafts
 in XML format.  Internet-drafts written in mmark can produce XML2RFC
 v2 and XML2RFC v3 output.
 .
 Mmark is a fork of blackfriday which is a Markdown processor implemented
 in Go.  It supports a number of extensions, inspired by Leanpub, kramdown
 and Asciidoc, that allows for large documents to be written.  It is
 specifically designed to write Internet Drafts (I-Ds) and RFCs for the IETF.
 With mmark you can create a single file that serves as input into the
 XML2RFC processor.
 .
 It can currently output HTML5, XML2RFC v2 and XML2RFC v3 XML.
 Other output engines could be added.
 .
 This package provides the mmark Go library for development.
